<?php

if ( ! function_exists( 'cevian_select_map_post_quote_meta' ) ) {
	function cevian_select_map_post_quote_meta() {
		$quote_post_format_meta_box = cevian_select_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Quote Post Format', 'cevian' ),
				'name'  => 'post_format_quote_meta'
			)
		);
		
		cevian_select_create_meta_box_field(
			array(
				'name'        => 'qodef_post_quote_text_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Quote Text', 'cevian' ),
				'description' => esc_html__( 'Enter Quote text', 'cevian' ),
				'parent'      => $quote_post_format_meta_box
			)
		);
		
		cevian_select_create_meta_box_field(
			array(
				'name'        => 'qodef_post_quote_author_meta',
				'type'        => 'text',
				'label'       => esc_html__( 'Quote Author', 'cevian' ),
				'description' => esc_html__( 'Enter Quote author', 'cevian' ),
				'parent'      => $quote_post_format_meta_box
			)
		);
	}
	
	add_action( 'cevian_select_action_meta_boxes_map', 'cevian_select_map_post_quote_meta', 25 );
}